--- old/usr/src/uts/common/Makefile.rules	Tue Mar 22 18:24:23 2016
+++ new/usr/src/uts/common/Makefile.rules	Tue Mar 22 18:24:23 2016
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 # Copyright 2013 Saso Kiselkov. All rights reserved.
 #
@@ -1438,6 +1438,20 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
+$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/sfxge/%.c
+	$(COMPILE.c) -o $@ $<
+	$(CTFCONVERT_O)
+
+$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/sfxge/common/%.c
+	$(COMPILE.c) -o $@ $<
+	$(CTFCONVERT_O)
+
+$(OBJS_DIR)/%.h.o:		$(UTSBASE)/common/io/sfxge/%.h
+	$(CP) $< $(@:%.o=%.c)
+	$(COMPILE.c) -o $@ $(@:%.o=%.c)
+	$(RM) $(@:%.o=%.c)
+	$(CTFCONVERT_O)
+
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/skd/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -2749,6 +2763,17 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/yge/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
+$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/sfxge/%.c
+	@($(LHEAD) $(LINT.c) $< $(LTAIL))
+
+$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/sfxge/common/%.c
+	@($(LHEAD) $(LINT.c) $< $(LTAIL))
+
+$(LINTS_DIR)/%.h.ln:		$(UTSBASE)/common/io/sfxge/%.h
+	@$(CP) $< $(@:%.ln=%.c)
+	@($(LHEAD) $(LINT.c) $(@:%.ln=%.c) $(LTAIL))
+	@$(RM) $(@:%.ln=%.c)
+
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/skd/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
